idf_component_register(
    SRCS
        "Reprogramming.c"
    INCLUDE_DIRS
        "."
    REQUIRES
        "SystemK"
        "driver"
        "usb"
        "usb_host_msc"
        "esp_https_ota"
        "app_update"
        "NVM"
        "IR"
)